/*
 * user.h
 *
 *  Created on: 26.5.2011
 *      Author: petr
 */

#ifndef USER_H_
#define USER_H_

#include "item.h"
#include <json/json.h>

class User : public Item {
public:
	string username, email, root_directory_id;

	User();

	User(Json::Value data);

	virtual int get(string id);

	int put();

	int post();

	int deleteObject();

	int getInfo();

	int getShortInfo();
};

#endif /* USER_H_ */
